Package net.shibboleth.idp.session.criterion

# Class HttpServletRequestCriterion

java.lang.Object
net.shibboleth.idp.session.criterion.HttpServletRequestCriterion

All Implemented Interfaces:
  `Criterion`

public final class HttpServletRequestCriterion extends Object implements Criterion
`Criterion` representing a session bound to a servlet request, which is implicitly the "current" request known to the resolver.

## Constructor Summary

Constructors
Constructor
Description
`HttpServletRequestCriterion()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpServletRequestCriterion

public HttpServletRequestCriterion()